<?php if(!defined('IS_CMS')) die();

class RandomContent extends Plugin {
    var $name = "RandomContent";
    function getContent($value) {
        global $CatPage;

        # Wenn keine Trenner angegeben sind gleich raus
        if(strlen($this->settings->get('start_selector')) < 1 and strlen($this->settings->get('stop_selector')) < 1)
            return NULL;

        # die Inhaltseite vom Pluginplatzhalter
        if($value !== false and !empty($value)) {
            list($cat,$page) = $CatPage->split_CatPage_fromSyntax($value);
            # Die Inhaltseite exsistiert nicht
            if(!$CatPage->exists_CatPage($cat,$page))
                return NULL;
            # Die Inhaltseite ist keine verstägte
            if($CatPage->get_Type($cat,$page) != EXT_HIDDEN)
                return NULL;
        # Es wurde keine Inhaltseite angegeben
        } else
            return NULL;

        $content = $CatPage->get_PageContent($cat,$page);

        $search = "/".$this->settings->get('start_selector')."(.*)".$this->settings->get('stop_selector')."/Usm";
        preg_match_all($search, $content, $array);
        # Es gibt keine Einträge
        if(isset($array[1]) and count($array[1]) < 1)
            return NULL;
        $rand = rand(0, (count($array[1]) - 1));
        return $array[1][$rand];
    } // function getContent

    function getConfig() {
        global $ADMIN_CONF;
        $language = $ADMIN_CONF->get("language");

        $config['deDE']['start_selector']  = array(
            "type" => "text",
            "description" => 'Start Trennzeichen',
            "maxlength" => "100",
#            "size" => "40",
        );

        $config['deDE']['stop_selector']  = array(
            "type" => "text",
            "description" => 'Stop Trennzeichen',
            "maxlength" => "100",
#            "size" => "40",
        );

        if(isset($config[$language])) {
            return $config[$language];
        } else {
            return $config['deDE'];
        }
    } // function getConfig    

    function getInfo() {
        return array(
            // Plugin-Name
            "<b>".$this->name."</b> \$Revision: 137 $",
            // Plugin-Version
            "1.12",
            // Kurzbeschreibung
            'Mit diesem Plugin kann aus einer <SPAN style="font-weight:bold;">"versteckten Inhaltseite"</SPAN>, durch die Eingabe von  <SPAN style="font-weight:bold;">{'.$this->name.'|Kategorie:Inhaltseite}</SPAN> dessen Inhalt ausgegeben werden.<br />Der Inhalt wird durch die unten angegebenen (und änderbaren) Start und Stop Trennzeichen, voneinander getrennt.<br />Es dürfen alle Syntaxelemente benutzt werden auch Plugins.',
            // Name des Autors
            "stefanbe",
            // Download-URL
            "kein",
	       array('{'.$this->name.'|}' => $this->name.' Kategorie:Inhaltseite')
            );
    } // function getInfo
}
?>
